AstroAsk Docs
API referenceMuhurtaV1VedicRahu kala

POST /v1/vedic/rahu-kala

Inauspicious daily time window (Rahu Kala) with Yama Gandam and Gulika Kala.

POST
/v1/vedic/rahu-kala

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/vedic/rahu-kala" \  -H "Content-Type: application/json" \  -d '{    "date": "1990-01-15T10:30:00",    "lat": 28.6139,    "lng": 77.209  }'
{  "success": true,  "data": {    "date": "1990-01-15T10:30:00",    "rahuKala": {      "startHourFromSunrise": 1.5,      "durationHours": 1.5,      "exactWindow": {        "startTime": "1990-01-15T03:03:58.750Z",        "endTime": "1990-01-15T04:22:50.500Z"      }    },    "yamaGandam": {      "startTime": "1990-01-15T05:41:42.250Z",      "endTime": "1990-01-15T07:00:34.000Z"    },    "gulikaKala": {      "startTime": "1990-01-15T08:19:25.750Z",      "endTime": "1990-01-15T09:38:17.500Z"    },    "sunrise": "1990-01-15T01:45:07.000Z",    "sunset": "1990-01-15T12:16:01.000Z"  }}